Subject: bug#2099: 23.0.60; `mark_object' with larger nested objects crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Jan 2016 21:16:38 +0200

> From: [email-masked]
> Cc: "Eli Zaretskii" <[email-masked]>, [email-masked], [email-masked]
> Date: Mon, 11 Jan 2016 20:10:26 +0100
> 
> Marking this as "wontfix" seems particularly inapplicable to me: This
> shortcoming crashes Emacs and potentially causes data loss for users,
> not only in such an artificial test case but in other situations too.
> This shortcoming prevents my testing Emacs in many other ways that would
> help me to find and correct more shortcomings and make Emacs more robust.

Sorry, I don't understand: what testing?  Can you describe the
real-life use case behind this bug report?  The recipe as shown looks
like a deliberate way to cause Emacs to overflow its stack; surely,
that's not what you intended to test?